search: Search for projects associated (or not) to a quality gate

API: sonarcloud.io:sonarqube
Endpoint: /api/qualitygates/search
Response format: application/json
Auth: unknown
Method: GET
Last Status: 404
Latency: 292ms

Description

Search for projects associated (or not) to a quality gate. Only authorized projects for current user will be returned.

Parameters (6)

gateId (string, query, required)

Quality Gate ID

organization (string, query, required)

Organization key.

page (string, query, optional, default: 1)

Page number

pageSize (string, query, optional)

Page size

query (string, query, optional)

To search for projects containing this string. If this parameter is set, "selected" is set to "all".

selected (string, query, optional, default: selected)

Depending on the value, show only selected items (selected=selected), deselected items (selected=deselected), or all items with their selection status (selected=all).

Constraints: {'enum': ['all', 'deselected', 'selected']}

Examples (1)

Search for projects associated (or not) to a quality gate openapi-spec
curl 'https://sonarcloud.io/api/qualitygates/search?gateId=1&organization=my-org&page=2&pageSize=10&query=abc'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/qualitygates/search",
    params={
        'gateId': '1',
        'organization': 'my-org',
        'page': '2',
        'pageSize': '10',
        'query': 'abc',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/qualitygates/search", gateId=1, organization="my-org", page=2, pageSize=10, query="abc")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/qualitygates/search?gateId=1&organization=my-org&page=2&pageSize=10&query=abc");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:20:01.338065 404 292ms
2026-04-15 04:12:26.468984 404 256ms
2026-04-14 01:32:53.127306 404 271ms
2026-04-12 13:05:47.424726 404 251ms
2026-04-10 01:22:48.290632 404 239ms
2026-04-09 03:44:50.646361 404 276ms